summaryrefslogtreecommitdiff
path: root/audio/podget/podget.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/podget/podget.SlackBuild')
-rw-r--r--audio/podget/podget.SlackBuild14
1 files changed, 13 insertions, 1 deletions
diff --git a/audio/podget/podget.SlackBuild b/audio/podget/podget.SlackBuild
index 401a3393ee..2e8feac7f0 100644
--- a/audio/podget/podget.SlackBuild
+++ b/audio/podget/podget.SlackBuild
@@ -21,6 +21,9 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20200619 bkw: BUILD=2, apparently nobody (including me) ever noticed
+# that v0.8.6 didn't actually work on Slackware 14.2.
+
# 20191130 bkw: update for v0.8.6
# 20170712 bkw:
@@ -31,7 +34,7 @@
PRGNAM=podget
VERSION=${VERSION:-0.8.6}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
ARCH=noarch
@@ -63,6 +66,15 @@ find . -type f | \
make -j1 prefix=/usr DESTDIR=$PKG install
+# 20200619 bkw: 14.2's creaky old bash 4.3 doesn't support
+# inherit_errexit, which is a feature of bash 4.4 and up. The sed
+# command below allows the script to run without it, which will change
+# some of the error handling a bit, but won't actually break anything
+# when there *aren't* errors. Previous versions of podget got along just
+# fine without inherit_errexit...
+sed -i '/shopt.*-s.*inherit_errexit *$/s,$, &>/dev/null || true,' \
+ $PKG/usr/bin/$PRGNAM
+
mv $PKG/usr/share/man $PKG/usr/man
rm -rf $PKG/usr/share